%define upstream_name    Test-UseAllModules
%define upstream_version 0.17

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Do use_ok() for all modules MANIFESTed
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker::CPANfile)
BuildRequires: perl(ExtUtils::Manifest)
BuildRequires: perl(Test::Builder) >= 0.300.0
BuildRequires: perl(Test::More) >= 0.600.0
BuildArch:  noarch

%description
I'm sick of writing 00_load.t (or something like that) that'll do use_ok()
for every module I write. I'm sicker of updating 00_load.t when I add
another file to the distro. This module reads MANIFEST to find modules to
be tested and does use_ok() for each of them. Now all you have to do is
update MANIFEST. You don't have to modify the test any more (hopefully).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.170.0-7.mga10
+ Revision: 2200915
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.170.0-6.mga9
+ Revision: 1806285
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.170.0-5.mga8
+ Revision: 1497570
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.170.0-4.mga7
+ Revision: 1272013
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.170.0-3.mga6
+ Revision: 1034687
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.170.0-2.mga6
+ Revision: 967090
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 sander85 <sander85> 0.170.0-1.mga6
+ Revision: 848106
- update to 0.17

* Wed Oct 15 2014 umeabot <umeabot> 0.150.0-3.mga5
+ Revision: 742013
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.150.0-2.mga5
+ Revision: 686564
- Mageia 5 Mass Rebuild

* Tue Jul 15 2014 sander85 <sander85> 0.150.0-1.mga5
+ Revision: 652925
- update to 0.15

* Fri Oct 18 2013 umeabot <umeabot> 0.140.0-3.mga4
+ Revision: 515380
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.140.0-2.mga3
+ Revision: 373881
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 0.140.0-1.mga3
+ Revision: 286541
- update to 0.14

* Fri Mar 18 2011 jquelin <jquelin> 0.130.0-1.mga1
+ Revision: 74124
- update to 0.13

* Fri Jan 21 2011 jquelin <jquelin> 0.120.0-1.mga1
+ Revision: 28834
- mageia rebuild
- imported package perl-Test-UseAllModules

